#ifndef FILEOPERATIONREPORTER_H
#define FILEOPERATIONREPORTER_H

#include <QObject>
#include <QRunnable>

class QThreadPool;

class FileOperationReporter : public QObject
{
    Q_OBJECT
public:
    static FileOperationReporter *getInstance();
    void addCopyInfo(const QString &srcUri, const QString &destUri, qint64 size);
    const QString getHostIp();

private:
    explicit FileOperationReporter(QObject *parent = nullptr);

    QThreadPool *m_threadPool = nullptr;
    QString m_ip = "127.0.0.1";
};

class FileCopyReporterJob : public QRunnable
{
public:
    explicit FileCopyReporterJob(const QString &srcUri, const QString &destUri, qint64 size);

    void run() override;

private:
    QString m_srcUri;
    QString m_destUri;
    qint64 m_size;
};

#endif // FILEOPERATIONREPORTER_H
